Public Class Form1

    Private Sub Connect_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Connect.CheckedChanged
        Dim err As Long

        If Connect.Checked Then
            err = LEConnect("COM1")
            If err = 0 Then
                MsgBox("connect error")
                Connect.Checked = 0
            End If
        Else
            err = LEDisconnect()
        End If
    End Sub

    Private Sub Run_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Run.CheckedChanged
        Dim err As Long

        If Run.Checked Then
            err = LEStartMeasure()
            If err = 0 Then
                MsgBox("run error")
                Run.Checked = 0
            End If
        Else
            err = LEStopMeasure()
        End If
    End Sub

    Private Sub Key0_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Key0.Click
        LEEmulationKey(LE_REMOTE_KEY_0)
    End Sub

    Private Sub Key1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Key1.Click
        LEEmulationKey(LE_REMOTE_KEY_1)
    End Sub

    Private Sub Key2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Key2.Click
        LEEmulationKey(LE_REMOTE_KEY_2)
    End Sub

    Private Sub GetMonitor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GetMonitor.Click
        Dim err As Long
        Dim size As Long
        Dim fileno As Long
        Dim mondata(4095) As LE_MONDATA
        size = 4096
        err = LEGetMonitorData(mondata(0), size)
        If (err = LE_FAIL) Then
            MsgBox("get error")
        Else
            Try
                Dim ofd As New SaveFileDialog()
                ofd.FileName = "MONITOR.CSV"
                ofd.Filter = "CSV Files(*.CSV)|*.CSV|All Files(*.*)|*.*"
                If ofd.ShowDialog() = Windows.Forms.DialogResult.OK Then
                    fileno = FreeFile()
                    FileOpen(fileno, ofd.FileName, OpenMode.Output, OpenAccess.Write)
                    Dim i As Long
                    For i = 0 To size
                        Dim strSD As String
                        Dim strRD As String
                        strSD = Hex(mondata(i).SD)
                        strRD = Hex(mondata(i).RD)
                        If (mondata(i).statusSD And LE_MONSTATUS_DATA_VISIBLE) = 0 Then strSD = "--"
                        If (mondata(i).statusRD And LE_MONSTATUS_DATA_VISIBLE) = 0 Then strRD = "--"
                        Print(fileno, strSD + "," + strRD + Chr(13) + Chr(10))
                    Next
                    FileClose(fileno)
                    MsgBox("success")
                End If
            Catch ex As Exception
                FileClose(fileno)
                MsgBox("file error")
                Return
            End Try
        End If
    End Sub
End Class
