VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "SampleVB6"
   ClientHeight    =   1830
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   1725
   LinkTopic       =   "Form1"
   ScaleHeight     =   1830
   ScaleWidth      =   1725
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton GetMonitor 
      Caption         =   "&GetMonitor"
      Height          =   375
      Left            =   120
      TabIndex        =   5
      Top             =   1320
      Width           =   1335
   End
   Begin VB.CommandButton Key2 
      Caption         =   "&2"
      Height          =   375
      Left            =   1080
      TabIndex        =   4
      Top             =   840
      Width           =   375
   End
   Begin VB.CommandButton Key1 
      Caption         =   "&1"
      Height          =   375
      Left            =   600
      TabIndex        =   3
      Top             =   840
      Width           =   375
   End
   Begin VB.CommandButton Key0 
      Caption         =   "&0"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   840
      Width           =   375
   End
   Begin VB.CheckBox Run 
      Caption         =   "&Run"
      Height          =   195
      Left            =   360
      TabIndex        =   1
      Top             =   480
      Width           =   1095
   End
   Begin VB.CheckBox Connect 
      Caption         =   "&Connect"
      Height          =   195
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1335
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Connect_Click()
    Dim err As Long
    
    If Connect = 1 Then
        err = LEConnect("COM1")
        If err = 0 Then
            MsgBox "connect error"
            Connect = 0
        End If
    Else
        err = LEDisconnect()
    End If
End Sub

Private Sub GetMonitor_Click()
    Dim err As Long
    Dim size As Long
    Dim mondata(4095) As LE_MONDATA
    size = 4096
    err = LEGetMonitorData(mondata(0), size)
    If (err = LE_FAIL) Then
        MsgBox "get error"
    Else
        CommonDialog1.FileName = "MONITOR.CSV"
        CommonDialog1.Filter = "CSV Files(*.CSV)|*.CSV|All Files(*.*)|*.*|"
        CommonDialog1.DialogTitle = "Save"
        CommonDialog1.Flags = cdlOFNOverwritePrompt Or cdlOFNHideReadOnly
        CommonDialog1.ShowOpen
        Dim fileno As Long
        fileno = FreeFile()
        Open CommonDialog1.FileName For Output Access Write As fileno
        For i = 0 To size
            Dim strSD As String
            Dim strRD As String
            strSD = Hex(mondata(i).SD)
            strRD = Hex(mondata(i).RD)
            If (mondata(i).statusSD And LE_MONSTATUS_DATA_VISIBLE) = 0 Then strSD = "--"
            If (mondata(i).statusRD And LE_MONSTATUS_DATA_VISIBLE) = 0 Then strRD = "--"
            Print #fileno, strSD + "," + strRD
        Next
        Close fileno
        MsgBox ("success")
    End If
End Sub

Private Sub Key0_Click()
    LEEmulationKey (LE_REMOTE_KEY_0)
End Sub

Private Sub Key1_Click()
    LEEmulationKey (LE_REMOTE_KEY_1)
End Sub

Private Sub Key2_Click()
    LEEmulationKey (LE_REMOTE_KEY_2)
End Sub

Private Sub Run_Click()
    Dim err As Long
    
    If Run = 1 Then
        err = LEStartMeasure()
        If err = 0 Then
            MsgBox "run error"
            Run = 0
        End If
    Else
        err = LEStopMeasure()
    End If
End Sub

